

createProbeCoords <- function(nrows, ncols,
                              meta_nrows = 1,
                              meta_ncols = 1,
                              meta_padding = 5) {

  n <- (nrows * ncols) * meta_nrows * meta_ncols

  res <- expand.grid(row = 1:nrows,
                     col = 1:ncols,
                     metarow = 1:meta_nrows,
                     metacol = 1:meta_ncols)

  res <- cbind(res,
               x = (res$row + meta_padding) +
               (nrows + meta_padding) * (res$metarow - 1),
               y = (res$col + meta_padding) +
               (ncols + meta_padding) * (res$metacol - 1))
  return(res)
}


