\name{expression_arraywide}
\alias{expression_arraywide}
\alias{replicate_arraywide}
\title{ Generate expression for a whole array}
\description{
  Generate expression values for a whole array
}
\usage{
expression_arraywide(n,
                     noise_mean = 50, noise_sd = 5,
                     signal_mean = 500, signal_sd = 0.9,
                     highbump_percent = 5,
                     highbump_mean = 6000, highbump_sd = 500)

replicate_arraywide(x)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{n}{ Number of probes }
  \item{x}{ A vector of expression values }
  \item{noise_mean}{ Mean for the noise }
  \item{noise_sd}{ Standard deviation for the noise}
  \item{signal_mean}{ Mean for the signal }
  \item{signal_sd}{ Standard deviation for the signal }
  \item{highbump_percent}{ Percentage of probes from the `high bump' }
  \item{highbump_mean}{ Mean }
  \item{highbump_sd}{ Standad deviation }
}
\details{
  XXX
}
\value{
  A vector of numerical values (and of length \code{n}, or \code{length(x)}))
}
%\references{ ~put references to the literature/web site here ~ }
%\author{ ~~who you are~~ }
%\note{ ~~further notes~~ 
%
% ~Make other sections like Warning with \section{Warning }{....} ~
%}
%\seealso{ ~~objects to See Also as \code{\link{help}}, ~~~ }
\examples{
y <- expression_arraywide(1000)
y2 <- replicate_arraywide(y)

library(lattice)

densityplot(~ c(y, y2), groups = rep(c(1,2), rep(length(y), 2)))


}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ manip }

